/*
 * Copyright 2004-2006 Robbie.JP
 */
package robbie.dao.x;

import java.sql.Connection;
import java.util.Properties;

import robbie.dao.DaoSysException;
import robbie.dao.DbConnectionUtil;

/**
 * JdbcResourceNXB<p>
 * typeJDBC̏ꍇDBResourceB
 */
class JdbcResource implements XDbResource {
    
    private static final long serialVersionUID = 1898964070539584048L;
    
    /** JDBC̐ݒ */
    protected Properties env = null;
    
    /**
     * f[^x[X̐ڑvpeBw肵ăCX^X쐬܂B<p>
     * @param env
     */
    public JdbcResource(Properties env) {
        this.env = env;
    }
    
    /**
     * RlNVԂ
     * @return ConnectionIuWFNg
     */
    public Connection getConnection() {
        
        try {
            return DbConnectionUtil.getConnection(env);
        } catch(Exception ex) {
            throw new DaoSysException("get DB Connection failure.", ex);
        }
    }
    
    /**
     * toString()̃I[oChB<p>
     * @return ̃CX^X̕\L
     */
    public String toString() {
        return "JDBC PROPERTY=" + env;
    }
}
